Subject: pkg/25501: security/p5-SSLeay doesn't find security/openssl only /usr/bin/openssl
To: None <>
From: None <>
List: pkgsrc-bugs
Date: 05/08/2004 18:42:19
>Number:         25501
>Category:       pkg
>Synopsis:       security/p5-SSLeay doesn't find security/openssl only /usr/bin/openssl
>Confidential:   no
>Severity:       critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sat May 08 18:43:00 UTC 2004
>Originator:     Michael Wolfson
>Release:        2.0_BETA
NetBSD sbd 2.0_BETA NetBSD 2.0_BETA (SBD) #6: Sun May  2 08:31:52 PDT 2004  mw@sbd:/usr/src/sys/arch/i386/compile/SBD i386
If you've removed /usr/bin/openssl in favor of /usr/pkg/bin/openssl p5-Net-SSLeay fails to find it.  Probably other packages too.

===> Configuring for p5-Net-SSLeay-1.25nb2
Checking for OpenSSL-0.9.6j or 0.9.7b or newer...
I could not find your OpenSSL in `/usr'
Please provide OpenSSL-0.9.6j or
OpenSSL-0.9.7b installation directory (get from if you don't have it; please note that
 SSLeay is no longer supported, see README) (C-c to abort):
(sbd) /usr/src/pkgsrc/mail/spamassassin# ls -l /usr/pkg/bin/openssl 
-rwxr-xr-x  1 root  wheel  267160 May  1 10:31 /usr/pkg/bin/openssl*
(sbd) /usr/src/pkgsrc/mail/spamassassin# ls /var/db/pkg/openssl-0.9.6m/
+COMMENT        +DESC           +REQUIRED_BY
(sbd) /usr/src/pkgsrc/mail/spamassassin# /usr/pkg/bin/openssl version
OpenSSL 0.9.6m 17 Mar 2004